Package org.eclipse.emf.cdo.ui

# Class UserInfo.Manager.UserChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.emf.cdo.ui.UserInfo.Manager.UserChangedEvent

All Implemented Interfaces:
  `Serializable`, `org.eclipse.net4j.util.event.IEvent`

Enclosing class:
  `UserInfo.Manager`

public final class UserInfo.Manager.UserChangedEvent extends org.eclipse.net4j.util.event.Event
An `event` fired from a `user info manager` when the `local user info` was changed.

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`UserChangedEvent(CDORemoteSession remoteSession, UserInfo userInfo)`

## Method Summary

Modifier and Type
Method
Description
`CDORemoteSession`
`getRemoteSession()`
`UserInfo.Manager`
`getSource()`
`UserInfo`
`getUserInfo()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserChangedEvent

protected UserChangedEvent(CDORemoteSession remoteSession, UserInfo userInfo)

## Method Details

### getSource

public UserInfo.Manager getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`
Overrides:
  `getSource` in class `org.eclipse.net4j.util.event.Event`

### getRemoteSession

public CDORemoteSession getRemoteSession()

### getUserInfo

public UserInfo getUserInfo()